#include<stdio.h>

int main(){
int n,m,sred,max,j,d,s;
  
  scanf("%d", &n);
  
  if(n<100 || n>999){
    printf("-1\n");
    return 0;
}

j=n%10;
d=(n/10)%10;
s=n/100;

m=j;
if(j>d)
  m=d;
if(d>s)
  m=s;

  max=j;
    if(j<d)
    max=d;
    if(d<s)
    max=s;
	
	sred=j;
	  if(j<d && d<s)
	    sred=d;
	  if(d<j && d>s)
	    sred=d;
	  
	  if(j<d && j>s)
	    sred=j;
	  if(j>d && j<s)
	    sred=j;
	  
	  if(s<d && j<s)
	    sred=s;
	  if(s>d && j>s)
	    sred=s;
	  
printf("%d%d%d\n", m,sred,max);

return 0;
}
